package com.gic.haoban.manage.service.service.out.impl;

import com.gic.haoban.manage.api.dto.CheckFriendSettingDTO;
import com.gic.haoban.manage.api.service.CheckQywxSettingApiService;
import com.gic.redis.data.util.RedisUtil;

/**
 * Created 2021/5/31.
 *
 * @author hua
 */
public class CheckQywxSettingApiServiceImpl implements CheckQywxSettingApiService {

    private static final String FRIEND_SETTING_KEY = "haoban-check-friend-setting";

    @Override
    public void setFriendSetting(String wxEnterpriseId, String name) {
        CheckFriendSettingDTO checkFriendSettingDTO = new CheckFriendSettingDTO();
        checkFriendSettingDTO.setName(name);
        checkFriendSettingDTO.setWxEnterpriseId(wxEnterpriseId);
        RedisUtil.setCache(FRIEND_SETTING_KEY, checkFriendSettingDTO);
    }

    @Override
    public CheckFriendSettingDTO getFriendSetting() {
        return RedisUtil.getCache(FRIEND_SETTING_KEY, CheckFriendSettingDTO.class);
    }
}
